# Method: projects.locations.glossaries.glossaryEntries.patch

- [HTTP request](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries/patch#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries/patch#try-it)

Updates a glossary entry.

### HTTP request

`PATCH https://translate.googleapis.com/v3/{glossaryEntry.name=projects/*/locations/*/glossaries/*/glossaryEntries/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `glossaryEntry.name` | `string` Required. The resource name of the entry. Format: "projects/\*/locations/\*/glossaries/\*/glossaryEntries/\*" |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries#GlossaryEntry`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries.glossaryEntries#GlossaryEntry`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-translation`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).